package egovframework.service.mapper;

import egovframework.vo.VdsStatsVO;
import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface TrafficStatsMapper {
	
    List<Map<String, Object>> getVertexHistoryByRoadText(Map<String, String> paramMap);

    List<Map<String, Object>> getAtrdNm();

    List<Map<String, Object>> getVdsCtlrList();

    List<VdsStatsVO> getVdsStatsInfo(Map<String, String> paramMap);

}
